# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.64"
name = "ibc-app-transfer-types"
version = "0.49.0"
authors = ["Informal Systems <hello@informal.systems>"]
description = """
    Maintained by `ibc-rs`, encapsulates essential ICS-20 Fungible Token Transfer data structures and 
    domain types, as specified in the Inter-Blockchain Communication (IBC) protocol. Designed for universal
    applicability to facilitate development and integration across diverse IBC-enabled projects.
"""
readme = "README.md"
keywords = [
    "blockchain",
    "cosmos",
    "ibc",
    "transfer",
    "ics20",
]
license = "Apache-2.0"
repository = "https://github.com/cosmos/ibc-rs"

[package.metadata.docs.rs]
all-features = true

[dependencies.borsh]
version = "0.10"
optional = true
default-features = false

[dependencies.derive_more]
version = "0.99.17"
features = [
    "from",
    "into",
    "display",
    "try_into",
]
default-features = false

[dependencies.displaydoc]
version = "0.2"
default-features = false

[dependencies.ibc-core]
version = "0.49.0"
default-features = false

[dependencies.ibc-proto]
version = "0.39.1"
default-features = false

[dependencies.parity-scale-codec]
version = "3.6.5"
features = ["full"]
optional = true
default-features = false

[dependencies.primitive-types]
version = "0.12.2"
features = ["serde_no_std"]
default-features = false

[dependencies.scale-info]
version = "2.10.0"
features = ["derive"]
optional = true
default-features = false

[dependencies.schemars]
version = "0.8.15"
optional = true

[dependencies.serde]
version = "1.0"
optional = true
default-features = false

[dependencies.uint]
version = "0.9"
default-features = false

[dev-dependencies.rstest]
version = "0.18.2"

[dev-dependencies.serde_json]
version = "1.0.0"
default-features = false
package = "serde-json-wasm"

[features]
borsh = [
    "dep:borsh",
    "ibc-core/borsh",
    "ibc-proto/borsh",
]
default = ["std"]
parity-scale-codec = [
    "dep:parity-scale-codec",
    "dep:scale-info",
    "ibc-core/parity-scale-codec",
    "ibc-proto/parity-scale-codec",
]
schema = [
    "dep:schemars",
    "ibc-core/schema",
    "ibc-proto/json-schema",
    "serde",
    "std",
]
serde = [
    "dep:serde",
    "ibc-core/serde",
    "ibc-proto/serde",
]
std = [
    "serde/std",
    "serde_json/std",
    "displaydoc/std",
    "uint/std",
    "primitive-types/std",
    "ibc-core/std",
    "ibc-proto/std",
]
